#include <iostream>
#include <algorithm>

int main(){
    std::ios::sync_with_stdio(false);

    int n,k;

    std::cin >> n >> k;

    int a[n],rez[n];
    int br=1,r=0;
    for(int i=0;i<n;i++){
        std::cin >> a[i];
    }

    std::sort(a,a+n);

    for(int i=0;i<n;i++){
        for(int j=i+1;j<n;j++){
            if(a[i]!=a[j]){
                if(br>=k){
                    rez[r++]=a[i];
                }
                i=j-1;
                br=1;
                break;
            }else{
                br++;
            }
        }
    }

    if(br>=k){
        rez[r++]=a[n-1];
    }

    std::cout << r << "\n";
    for(int i=0;i<r;i++)
        std::cout << rez[i] << " ";

    return 0;
}